--- title: "bind (Service)" slug: "dpgw-ig-abind-service-5-11" updated: 2025-07-04T10:05:55Z published: 2025-07-07T16:28:37Z canonical: "docs.onespan.com/dpgw-ig-abind-service-5-11" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.onespan.com/llms.txt > Use this file to discover all available pages before exploring further. # bind (Service) > This command is deprecated! Use [DSAPPActivate (service)](/sec/docs/dpgw-ig-dsappactivate-service-5-11) instead! > API version: 1 > > Availability: DIGIPASS Gateway 4.1 and later > > Authentication: None. The bind service performs a provisioning activation operation using Digipass Software Advanced Provisioning Protocol (DSAPP). ## URL https://dpgateway_host:dpgateway_port/bind ## Request Parameters to the service are passed via the URI query component. | bind parameters | | --- | | Parameter name | Data type | Description | | DerivationCode | String | Required. The derivation code generated by the mobile application using the Digipass SDK. | | InitialVector | String | Required. The client initial vector used by the mobile application using the DSAPP SDK. | | Nonce | String | Required. The encrypted server nonce used by the mobile application using the DSAPP SDK. | | RegistrationIdentifier | String | Required. The unique identifier of a user for a given activation process. This is returned by DSAPPRegister. | ### Example POST https://192.0.2.1:11080/bind?RegistrationIdentifier=e3wfISG9&Nonce=E7D63951460ACB3EC08C5AF618FB29D1&InitialVector=45D8319F02E4B42C5EA067A6A0593B20&DerivationCode=591107863614246 ## Response The service returns an XML response message containing the result. | bind return values | | --- | | Return value | Description | | //DP4Mobile/@message | The error message in case of an error. | | //DP4Mobile/@retCode | The return code of the operation. | ### Example (Success) ```xml ``` ### Example (Failure) ```xml ```